# Class CIM_UnixDeviceFile
extends CIM_DeviceFile

DeviceFile is a special type of LogicalFile that represents a Device. This class is a specialization of DeviceFile for a Unix environment.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_LogicalFile
|
+--CIM_DeviceFile
|
+--CIM_UnixDeviceFile

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | DeviceFile is a special type of LogicalFile that represents a Device. This class is a specialization of DeviceFile for a Unix environment.
UMLPackagePath | string | CIM::System::Unix
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DeviceDescription | string |
Description | string | Additional information provided by the driver. This property may be null if no information is available, or a general description of the device when available, e.g. "Non-rewind tape streamer".
DeviceFileType | uint16 |
Description | string | The type of device file.
ModelCorrespondence | string | CIM_UnixDeviceFile.OtherTypeDescription
ValueMap | string | 0, 1, 2, 3
Values | string | Unknown, Other, Block, Character
DeviceId | string |
Description | string | The device Identifier: this is the st_rdev field in the stat structure.
Required | boolean | true
DeviceMajor | string |
Description | string | The Device's Major Id.
Required | boolean | true
DeviceMinor | string |
Description | string | The Device's Minor Id.
Required | boolean | true
OtherTypeDescription | string |
Description | string | Additional information when the DeviceFileType property is set to "Other".
ModelCorrespondence | string | CIM_UnixDeviceFile.DeviceFileType

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CompressionMethod | string | CIM_LogicalFile
CreationClassName | string | CIM_LogicalFile
CreationDate | datetime | CIM_LogicalFile
CSCreationClassName | string | CIM_LogicalFile
CSName | string | CIM_LogicalFile
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EncryptionMethod | string | CIM_LogicalFile
Executable | boolean | CIM_LogicalFile
FileSize | uint64 | CIM_LogicalFile
FSCreationClassName | string | CIM_LogicalFile
FSName | string | CIM_LogicalFile
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
InUseCount | uint64 | CIM_LogicalFile
LastAccessed | datetime | CIM_LogicalFile
LastModified | datetime | CIM_LogicalFile
Name | string | CIM_LogicalFile
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Readable | boolean | CIM_LogicalFile
Status | string | CIM_ManagedSystemElement
Writeable | boolean | CIM_LogicalFile
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods